/*****************************************************************************
* Jobs                                                              *
* Fetch requests for /jobs routes                                   *
*****************************************************************************/
Requests.jobs = {};

Requests.jobs.entity = {};

Requests.jobs.entity.delete = (jobId) => {
  let input = `/jobs/${jobId}`;
  let init = {
    method: 'DELETE'
  };
  return Requests.JSONfetch(input, init);
} 

Requests.jobs.entity.log = (jobId) => {
  let input = `/jobs/${jobId}/log`;
  let init = {
    method: 'GET'
  };
  return Requests.JSONfetch(input, init);
}

Requests.jobs.entity.restart = (jobId) => {
  let input = `/jobs/${jobId}/restart`;
  let init = {
    method: 'POST'
  };
  return Requests.JSONfetch(input, init);
} 
